<?php
// ini_set('display_erros',1);
session_start();

if($_SESSION["sistema"]!= "1"){ header("location: ../login/index.php"); exit();}

date_default_timezone_set('America/Lima');

require_once ("../../config/Cado.php");
require_once ("cCompra.php");
$oCompra = new cCompra();

require_once("../formatos/formato.php");

if($_POST['action']=="insertar")
{
	$fec=date('d-m-Y');
	$fecguia=date('d-m-Y');
	$m=date('m');
	$y=date('Y');
	$emp_id=''; //$_SESSION['empresa_id'];
	$caj_id=$_SESSION['caja_id'];
	$est="1";
	//$pro_id	=1;
	$mon_id	='';
	$com_id	='';
	$doc_id	='';
	$tippro = 1;
	$tot = 0;
	$punven_id=$_SESSION['puntoventa_id'];
	
	unset($_SESSION['compra_car']);
	unset($_SESSION['compra_catid']);
	unset($_SESSION['compra_linea_mar']);
	unset($_SESSION['compra_linea_precom']);
	unset($_SESSION['compra_catcodpri']);
	unset($_SESSION['compra_linea_fecven']);
	unset($_SESSION['compra_linea_preven']);
	unset($_SESSION['compra_linea_prevenf']);
	
	
	
	if($_POST['vista']=="ordencompra_form")
	{
	
	require_once ("../ordencompra/cOrdencompra.php");
	$oOrdencompra = new cOrdencompra();

	$dts= $oOrdencompra->mostrarUno($_POST['ordcom_id']);
	$dt = mysqli_fetch_array($dts);
	$nroord	=$dt['tb_ordencompra_numdoc'];  
	$pro_id	=$dt['tb_proveedor_id'];
		
		$dts1=$oOrdencompra->mostrar_ordencompra_detalle($_POST['ordcom_id']);
		$num_rows= mysqli_num_rows($dts1);
		
		//echo $num_rows;
		
		while($dt1 = mysqli_fetch_array($dts1))
		{
			
			$can = $dt1['tb_ordencompradetalle_can']*1;
			
		$_SESSION['compra_car'][$dt1['tb_catalogo_id'].$dt1['tb_marca_id']]=$can;
		$_SESSION['compra_catid'][$dt1['tb_catalogo_id'].$dt1['tb_marca_id']]=$dt1['tb_catalogo_id'];
		$_SESSION['compra_catcodpri'][$dt1['tb_catalogo_id'].$dt1['tb_marca_id']]=$dt1['tb_catalogo_cod'];
		$_SESSION['compra_linea_precom'][$dt1['tb_catalogo_id'].$dt1['tb_marca_id']] = moneda_mysql(0);
		$_SESSION['compra_linea_tippre'][$dt1['tb_catalogo_id'].$dt1['tb_marca_id']]=0;
		$_SESSION['compra_linea_mar'][$dt1['tb_catalogo_id'].$dt1['tb_marca_id']]=$dt1['tb_marca_id'];
		$_SESSION['compra_linea_des'][$dt1['tb_catalogo_id'].$dt1['tb_marca_id']] = moneda_mysql(0);
		$_SESSION['compra_linea_fecven'][$_POST['cat_id'].$_POST['marca_id']]=$_POST['fecven'];
		$_SESSION['compra_linea_lote'][$_POST['cat_id'].$_POST['marca_id']]=$_POST['lote'];
		$_SESSION['compra_linea_preven'][$_POST['cat_id'].$_POST['marca_id']]=$_POST['preven'];
		$_SESSION['compra_linea_prevenf'][$_POST['cat_id'].$_POST['marca_id']]=$_POST['prevenf'];
		
		
		
			
		}
	
	
	}
	
	
}

if($_POST['action']=="editar")
{
	$dts= $oCompra->mostrarUno($_POST['com_id']);
	$dt = mysqli_fetch_array($dts);
	$fec	=mostrarFecha($dt['tb_compra_fec']);

	$doc_id	=$dt['tb_documento_id'];
	$numdoc	=$dt['tb_compra_numdoc'];

	$mon_id	=$dt['tb_moneda_id'];
	$tipcam	=$dt['tb_compra_tipcam'];
	$tipcam_can	=$dt['tb_compra_tipcamcan'];

	if($tipcam==0){
		$tipcam = '1.00';
	}else{
		$tipcam = $tipcam;
	}
	
	
	$pro_id	=$dt['tb_proveedor_id'];
	$emp_id	=$dt['tb_empresa_id'];
	

	$subtot	=$dt['tb_compra_subtot'];
	$des	=$dt['tb_compra_des'];
	$descal	=$dt['tb_compra_descal'];
	$fle	=$dt['tb_compra_fle'];
	$tipfle	=$dt['tb_compra_tipfle'];
	$ajupos	=$dt['tb_compra_ajupos'];
	$ajuneg	=$dt['tb_compra_ajuneg'];
	$valven	=$dt['tb_compra_valven'];
	$igv	=$dt['tb_compra_igv'];
	$tot	=$dt['tb_compra_tot'];
	$m	=$dt['tb_compra_permes'];
	$y	=$dt['tb_compra_peranio'];

	$com_igvval	=$dt['tb_compra_igvval'];		
	$per	=$dt['tb_compra_per'];		
	$tippro	=$dt['tb_compra_tippro'];
	
	$nroped	=$dt['tb_compra_nroped'];		
	$nroord	=$dt['tb_compra_nroped'];		
	$nroguia_e=$dt['tb_compra_nroguia_emi'];		
	$nroguia_t=$dt['tb_compra_nroguia_tra'];		
	$ref=$dt['tb_compra_ref'];		
	$fecguia=mostrarFecha($dt['tb_compra_fecguia']);		
$punven_id=$dt['tb_puntoventa_id'];
	$alm_id	=$dt['tb_almacen_id'];
	$est	=$dt['tb_compra_est'];
	mysqli_free_result($dts);
	
	$com_id = $_POST['com_id'];
}
?>
<style type="text/css">
.ui-autocomplete
{
    z-index: 99999; 
}
</style>
			<div class="col-lg-12 col-md-12 col-12 " >
					<form  id="for_com"  > 
						<input name="hdd_vista" id="hdd_vista" type="hidden" value="<?php echo $_POST['vista']?>">
						<input name="action_compra" id="action_compra" type="hidden" value="<?php echo $_POST['action']?>">
						<input name="hdd_ordcom_id" id="hdd_ordcom_id" type="hidden" value="<?php echo $_POST['ordcom_id']?>">						
						<input name="hdd_com_id" id="hdd_com_id" type="hidden" value="<?php echo $_POST['com_id']?>">
						<input name="hdd_tipcamb" id="hdd_tipcamb" type="hidden" value="<?php echo $tipcam?>">
						<input name="hdd_com_est" id="hdd_com_est" type="hidden" value="<?php echo $est?>">
						<input name="hdd_usu_id" id="hdd_usu_id" type="hidden" value="<?php echo $_SESSION['usuario_id']?>">
						<input name="hdd_emp_id" id="hdd_emp_id" type="hidden" value="<?php echo $_SESSION['empresa_id']?>">
						<input name="hdd_val" id="hdd_val" type="hidden" value="">
						<input name="hdd_compag_val" id="hdd_compag_val" type="hidden" value="">
								
				<div class="col-lg-12 col-md-12 col-12" style="padding:5px;" >
					<div class="row">
					
					<?php if($_POST['action']=="editar"){ ?>
						<div class="col-lg-5 col-md-6 col-12 float-left">
							<h3 class="box-title">Registro de Compra</h3>
						</div>
							
					<?php }else{
						?>
						<div class="col-lg-5 col-md-6 col-12 float-left">
							<h3 class="box-title">Registrar Compra</h3>
						</div>
						<?php 
						
					}?>
					
					
				<?php if ($_SESSION['usuariogrupo_id']=='6'){
					
				}else if ($_SESSION['usuariogrupo_id']=='4'){}else{
				if($_POST['action']=="editar"){
				?>
				
				<div class="col-lg-5 col-md-12 col-12 float-right d-none " style="padding-top:5px;" >
				
				<div class="float-right" style="padding-top:4%;" >
				<label class="text-red" style="cursor:pointer">
					<input name="chk_modtot" id="chk_modtot" type="checkbox"> MODIFICAR SIN IGUALAR TOTALES
				</label>
				</div>
				</div>
				
				<div class="col-lg-5 col-md-12 col-12 float-right " style="padding-top:5px;" >
					<a  
					href="../../files/compra/compra_impcpe_doc.php?com_id=<?php echo $_POST['com_id']; ?>" target="_blank" class="btn btn-sm float-right " 
					style="background-color:#3B71CA;color:#fff;" ><i class="fas fa-file-pdf"></i> DESCARGAR E IMPRIMIR </a>	
					</div>
				
				<?php 
				}				
				} ?>
				
				</div>
				</div>
							
						<div class="row"> 
						<div class="col-lg-6 col-md-12 col-12 no-padding"> 
							
							<?php 

							if($_POST['action']=="insertar"){
							?>
								
							<div id="tabproveedor" class="nav-tabs-custom ">
								<nav class="nav nav-tabs">
									<a href="#tab_1" class="nav-item nav-link active text-dark" data-toggle="tab" aria-expanded="false" >Proveedor</a>
									<a href="#tab_2" class="nav-item nav-link text-dark" id="formpagotitle" data-toggle="tab" aria-expanded="true">Forma de Pago</a>
								</nav>
								<div class="tab-content">
									<div class=" active tab-pane" id="tab_1">
										<div class="row"> 
											<div class="col-lg-4 col-sm-4 col-6 errorprov ">
												<label for="txt_com_pro_doc">RUC/DNI:</label>
												<div class="input-group">
														<div class="dropdown">
															<button type="button" class="btn btn-warning dropdown-toggle" data-toggle="dropdown"><i class="fa fa-cog"></i>
															</button>
															 <div class="dropdown-menu">
																	<a class="dropdown-item text-dark" onClick="proveedor_form('insertar')" href="javascript:void(0)"><i class="fa fa-plus"></i> Agregar Proveedor</a>
																	<a class="dropdown-item text-dark" onClick='proveedor_form("editar",$("#hdd_com_pro_id").val())' href="javascript:void(0)"><i class="fa fa-edit"></i> Modificar Proveedor</a>
															</div>	
														</div>
														<input type="text" class="form-control" id="txt_com_pro_doc" name="txt_com_pro_doc" value="<?php echo $pro_doc?>" /> 
													</div>
												</div>

												<div class="col-lg-8 col-sm-4 col-6">
													<label for="txt_com_pro_nom">Proveedor:</label>
													<input type="text" id="txt_com_pro_nom" class="form-control " name="txt_com_pro_nom"  value="" /> 
													<input type="hidden"   id="hdd_com_pro_id" name="hdd_com_pro_id" value="<?php echo $pro_id?>" />
												</div> 
												
												<?php if($_POST['action']=='insertar'){?>
												
													<div class="col-lg-12 col-sm-4 col-12">
														<label for="txt_com_pro_dir">Dirección:</label>
														<input type="text" id="txt_com_pro_dir" class="form-control" name="txt_com_pro_dir"  value="<?php echo $pro_nom?>" /> 
													</div> 
												
												<?php }?>
											
											</div>
											
										</div>
										
										<div class="tab-pane " id="tab_2">
											<div class="row"> 
												<?php if($_POST['action']=='insertar'){?>	
													<div class="col-lg-12 col-md-12 col-12"> 
													<div class="row"> 

														
												<div class=" col-lg-4 col-sm-4 col-6 form-group">
													<label>Forma:</label>

													<div class="input-group">
													
															<div class="icheck-primary div_chkcompag" >
																<input type="checkbox" id="chk_compag_aut" >
																<label for="chk_compag_aut">
																</label>
															</div>
					  
															<select name="cmb_forpag_id" id="cmb_forpag_id" class="form-control">
																	<option value="1" selected="selected">CONTADO</option>
																	<option value="2">CREDITO</option>
																
															</select>
													</div>
												</div>
				
												<div id="div_modo" class="col-lg-4 col-sm-4 col-6">
															<label for="cmb_modpag_id">Modo:</label> 
															<select name="cmb_modpag_id" id="cmb_modpag_id" class="form-control input-sm">
 															<option value="1">EFECTIVO</option>
															<option value="2">DEPOSITO</option>
															<option value="3">TRANSFERENCIA</option>
															<option value="4">CHEQUE</option>
															<option value="5">TARJETA</option>
															</select> 
														</div>
                                                        
														<div id="div_dia" style="display:none" class="col-lg-4 col-sm-4 col-6"> 
															<label for="txt_compag_numdia">N° Días:</label></br>
															<input name="txt_compag_numdia" id="txt_compag_numdia" type="text" class=" form-control dias"  maxlength="3" >
														</div>

														<div id="div_fecven" style="display:none" class="col-lg-4 col-sm-4 col-6"> 
															<label for="txt_compag_fecven">F. Vencimiento:</label></br>
															<input type="text" name="txt_compag_fecven" id="txt_compag_fecven"  maxlength="10" class=" form-control" readonly>
														</div> 
														
														
														<div id="div_nroopecom" style="display:none" class="col-lg-4 col-sm-4 col-6"> 
															<label id="lbl_egr_nroopecom">N° Operación:</label> 
															<input type="text" name="txt_nroope" id="txt_nroope" class="form-control input-sm" >
														</div>
														
														<div class="col-lg-4 col-sm-4 col-6"> 
															<label for="txt_compag_mon">Monto:</label> 
															<div class="input-group ">
																<input name="txt_compag_mon" type="text" id="txt_compag_mon" style="text-align:right;" class="form-control" maxlength="10"> 
																<span id="div_pago_agregar" style="display:none"  class="input-group-btn">
																	<a id="btn_compag_agregar" title="Agregar formas de pago" class="btn btn-primary btn-flat" href="javascript:void(0)" 
																	onClick="pago_compra_agregar('agregar')">Agregar</a> 
																</span>
															</div>													
														</div>
														
														
														
														</div>
														</div>
													<br />
													<div class="col-lg-12 col-md-12 col-12 div_pagos_tabla ">
														
														<div id="div_compra_pago_car_tabla"></div> 
														
													</div>
													
												<?php }?>
												
											</div>
										</div> 
									</div>
									
								</div> 
							
							<?php 
							}else if($_POST['action']=="editar"){
								?>
										
							
							<div id="tabproveedor" class="nav-tabs-custom">
								
								<nav class="nav nav-tabs">
									<a href="#tab_1" class="nav-item nav-link text-dark active" data-toggle="tab" aria-expanded="false" >Proveedor</a>
									<a href="#tab_2" class="nav-item nav-link text-dark " id="formpagotitle" data-toggle="tab" aria-expanded="true">Forma de Pago</a>
								</nav>
								
								<div class="tab-content">
									<div class=" active tab-pane" id="tab_1">
										<div class="row"> 
												<div class="col-lg-4 col-sm-4 col-6  ">
												<label for="txt_com_pro_doc">RUC/DNI:</label>
													
														<input type="text" class="form-control" id="txt_com_pro_doc" name="txt_com_pro_doc" value="<?php echo $pro_doc?>" /> 
													
												</div>

												<div class="col-lg-8 col-sm-4 col-6">
													<label for="txt_com_pro">Proveedor:</label>
													<input type="text" id="txt_com_pro_nom" class="form-control " name="txt_com_pro_nom"  value="" /> 
													<input type="hidden"   id="hdd_com_pro_id" name="hdd_com_pro_id" value="<?php echo $pro_id?>" />
												</div> 
												
												
													<div class="col-lg-12 col-sm-4 col-12">
														<label for="txt_com_pro_dir">Dirección:</label>
														<input type="text" id="txt_com_pro_dir" class="form-control" name="txt_com_pro_dir"  value="<?php echo $pro_nom?>" /> 
													</div> 
												
											
											
											</div>
											
										</div>
										
										<div class="tab-pane " id="tab_2">
											<div class="row"> 
												
													<div class="col-lg-12 col-md-12 col-12 no-padding"> 
													<div class="row"> 

														<div class="col-lg-3 col-sm-3 col-6">
															<label for="cmb_forpaf_id">Forma:</label> 


															<div class="input-group"> 
																<span class="input-group-addon " style="display:none" >
																	<input   id="chk_compag_aut" name="chk_compag_aut" value="1"  title="Agregar Varios" type="checkbox">
																</span> 
																<select name="cmb_forpag_id" id="cmb_forpag_id" class="form-control">
																<!--	<option value="1" selected="selected">CONTADO</option>
																	-->
																	<option value="2" selected="selected">CREDITO</option>
																	
																</select>
															</div>
														</div>

														<div id="div_modo" class="col-lg-3 col-sm-3 col-6">
															<label for="cmb_modpaf_id">Modo:</label> 
															<select name="cmb_modpag_id" id="cmb_modpag_id"  class="form-control ">
																<option value="">-</option>
																<option value="1" selected="selected">EFECTIVO</option>
															</select> 
														</div>
														<!--
														<div id="div_caja"  class="col-lg-3 col-sm-3 col-12"> 
															<label for="cmb_caj_id">Caja:</label>
															<select name="cmb_caj_id" id="cmb_caj_id" class="form-control "></select>
														</div>
														-->
														<div id="div_dia" style="display:none" class="col-lg-3 col-sm-3 col-6"> 
															<label for="txt_compag_numdia">N° Días:</label></br>
															<input name="txt_compag_numdia" id="txt_compag_numdia" type="text" class=" form-control dias"  maxlength="3" >
														</div>

														<div id="div_fecven" style="display:none" class="col-lg-3 col-sm-3 col-6"> 
															<label for="txt_compag_fecven">F. Vencimiento:</label></br>
															<input type="text" name="txt_compag_fecven" id="txt_compag_fecven" 
															maxlength="10"  class="form-control" readonly>
														</div> 	
														<div class="col-lg-3 col-sm-3 col-6"> 
															<label for="txt_compag_mon">Monto:</label> 
															<?php  if ($_SESSION['usuariogrupo_id']=='4'){
																?>
																<input name="txt_compag_mon" type="text" id="txt_compag_mon" style="text-align:right;" class="form-control" maxlength="10"> 
																
																<?php 
															}else{
																?>
																<div class="input-group">
																<input name="txt_compag_mon" type="text" id="txt_compag_mon" style="text-align:right;" class="form-control" maxlength="10"> 
																<span id="div_pago_agregar" style="display:none"  class="input-group-btn">
															
															<a id="btn_compag_agregar" title="Agregar formas de pago" class="btn btn-primary btn-flat" 
																	href="javascript:void(0)" onClick="pago_compra_agregar_editar('agregar','<?php echo $com_id ?>')">Agregar</a> 
															
																</span>
															</div>	
																<?php 
															}?>
															
															
														</div>
														</div>
														</div>
													<br />
												
												
											</div>
										</div> 
									</div>
									
							</div> 
			
									<div class="col-lg-12 col-md-12 col-12" style="padding:5px;">
 										<div id="div_compra_pago_tabla"></div> 	
 									</div> 	
							
							
							<?php 	
								}
							?>
						</div>
					
											
						<div class="col-lg-6 col-md-12 col-12">
								<div class="nav-tabs-custom">
									<!--
									<ul class="nav nav-tabs">
										<li class="active"><a href="#tab_3" data-toggle="tab" aria-expanded="false">Datos Generales</a></li>
										<li class=""> </li>  
									</ul>								
									-->
									<div class="tab-content">
										<div class="active tab-pane" id="tab_3">
											<div class="row">

											
											<div class="col-lg-4 col-sm-4 col-6 ">
													<label for="cmb_doc_id">Documento:</label>
													<select class="form-control"  name="cmb_doc_id" id="cmb_doc_id"></select>
												</div>

												<div class="col-lg-4 col-sm-4 col-6 ">
													<label for="txt_com_numdoc">Num. Doc.:</label>
													<input  class="form-control" type="text" name="txt_com_numdoc" id="txt_com_numdoc"  value="<?php echo $numdoc?>">
												</div> 
												
												<div class="col-lg-4 col-sm-4 col-6">

													<label for="cmb_punven_id">Punto V.:</label>
													<select   name="cmb_punven_id" id="cmb_punven_id" class="form-control "></select>

												</div>
												
												<div class="col-lg-4 col-sm-4 col-6">
													<label for="cmb_per_mes">Periodo mes:</label>
												
													<select name="cmb_per_mes" id="cmb_per_mes" class="form-control">
													<option value="">--Seleccione mes--</option>
					
													<option value="01" <?php if($m=='01') echo 'selected'; ?> >Enero</option>
													    <option value="02" <?php if($m=='02') echo 'selected'; ?> >Febrero</option>
														<option value="03" <?php if($m=='03') echo 'selected'; ?> >Marzo</option>
														<option value="04" <?php if($m=='04') echo 'selected'; ?> >Abril</option>
													    <option value="05" <?php if($m=='05') echo 'selected'; ?> >Mayo</option>
														<option value="06" <?php if($m=='06') echo 'selected'; ?> >Junio</option>
														<option value="07" <?php if($m=='07') echo 'selected'; ?> >Julio</option>
													    <option value="08" <?php if($m=='08') echo 'selected'; ?> >Agosto</option>
														<option value="09" <?php if($m=='09') echo 'selected'; ?>>Septiembre</option>
														<option value="10" <?php if($m=='10') echo 'selected'; ?>>Octubre</option>
													    <option value="11" <?php if($m=='11') echo 'selected'; ?>>Noviembre</option>
														<option value="12" <?php if($m=='12') echo 'selected'; ?>>Diciembre</option>
														
													</select>
																									
												</div>
												
												
												<div class="col-lg-4 col-sm-4 col-6">
													<label for="cmb_per_anio">Periodo año:</label>
												
													<select name="cmb_per_anio" id="cmb_per_anio" class="form-control">
													<option value="">--Seleccione año--</option>
													<?php  
													for($i=2015;$i<=2030;$i++){
														
														?>
														<option value="<?php echo $i;?>"  <?php if($i==$y) echo 'selected'; ?> ><?php echo $i;?></option>
														<?php
													}
													?>
													</select>
												
												</div>
												
												<div class="col-lg-4 col-sm-4 col-6">
													<label for="txt_com_fec">Fecha Emision:</label>
													<input  name="txt_com_fec" type="text"  class="form-control"  id="txt_com_fec" value="<?php echo $fec?>"  maxlength="10">
												</div>

												
												
												
												<?php if($_POST['action']=='insertar'){?>
													<div class="col-lg-4 col-sm-4 col-6">
													<label for="cmb_mone_id">Moneda:</label><label class="pull-right text-orange" id="lbl_mone_val"></label>
													<select   name="cmb_mone_id" id="cmb_mone_id" class="form-control "></select>
													<input name="txt_mone_id" type="hidden" value="" id="txt_mone_id">	
													<input name="txt_com_tipcam" type="hidden" value="" id="txt_com_tipcam">	
													</div>	
															
												<?php }else{
													?>
													<div class="col-lg-4 col-sm-4 col-6">
													<label for="cmb_mone_id">Moneda:</label><label class="pull-right text-orange"><?php echo formato_money($tipcam); ?></label>
													<select   name="cmb_mone_id" id="cmb_mone_id" class="form-control "></select>
													<input name="txt_mone_id" type="hidden" value="" id="txt_mone_id">	
													<input name="txt_com_tipcam" type="hidden" value="" id="txt_com_tipcam">	
													</div>	
													
													<?php 													
												}?>

												
												
												<?php if($_POST['action']=='insertar'){?>
												<div class="col-lg-4 col-sm-4 col-6" style="display:none;" >
													<label for="cmb_com_tippre">Mostrar:</label> 
													<select name="cmb_com_tippre" id="cmb_com_tippre" class="form-control">
														<option value="1">Valor Venta (sin IGV)</option>
														<option value="2" selected="selected">Precio Venta (con IGV)</option>
													</select> 

												</div>
																			
												<?php }else{
													?>
													<div class="col-lg-4 col-sm-4 col-6" style="display:none;" >
													<label for="cmb_com_tippre">Mostrar:</label> 
													<select name="cmb_com_tippre" id="cmb_com_tippre" class="form-control">
														<option value="<?php echo $tipfle; ?>" <?php if($tipfle==1) echo 'selected';?> >Valor Venta (sin IGV)</option>
														<option value="<?php echo $tipfle; ?>" <?php if($tipfle==2) echo 'selected';?> >Precio Venta (con IGV)</option>
													</select> 

												</div>
													<?php 													
												}?>
												
											<!--	<div class="col-lg-4 col-sm-4 col-6">
													<label for="cmb_com_tippro">Tipo Pago:</label> 
													<select name="cmb_com_tippro" id="cmb_com_tippro" class="form-control">
														<option value="1" <?php if($tippro=='1') echo 'selected'; ?>>Canje</option>
														<option value="2" <?php if($tippro=='2') echo 'selected'; ?>>Pago normal</option>
													</select> 

												</div>
												-->
											   
													
												
												
												
												<?php if($_POST['action']=='insertar'){ 
												?>
												<div class="col-lg-4 col-sm-3 col-6 div_tipcamcan" style="display:none;" >
													<label for="txt_com_tipcamcan">Cambio Canje:</label>
													<input  class="form-control" type="text" name="txt_com_tipcamcan" id="txt_com_tipcamcan"  value="<?php echo '' ?>">
												</div> 
												
												<div class="col-lg-4 col-sm-3 col-6 div_nroped">
													<label for="txt_com_nroped">Nro Pedido:</label>
													<input  class="form-control" type="text" name="txt_com_nroped" id="txt_com_nroped"  value="<?php echo $nroped?>">
												</div> 
												
												
												<div class="col-lg-4 col-sm-3 col-6 div_nrocom ">
													<label for="txt_com_nroordcom">Nro O/Compra:</label>
													<input  class="form-control" type="text" name="txt_com_nroordcom" id="txt_com_nroordcom"  value="<?php echo $nroord?>">
												</div> 
												
												<div class="col-lg-4 col-sm-3 col-6 div_ge ">
													<label for="txt_com_nroguia_e">Nro de Guia E.:</label>
													<input  class="form-control" type="text" name="txt_com_nroguia_e" id="txt_com_nroguia_e"  value="<?php echo $nroguia?>">
												</div>
												
												<div class="col-lg-4 col-sm-3 col-6 div_gt " style="display:none">
													<label for="txt_com_nroguia_t">Nro de Guia T.:</label>
													<input  class="form-control" type="text" name="txt_com_nroguia_t" id="txt_com_nroguia_t"  value="<?php echo $nroguia?>">
												</div>
												
												<div class="col-lg-4 col-sm-3 col-6 div_ref">
													<label for="txt_com_ref">Referencia.:</label>
													<input  class="form-control" type="text" name="txt_com_ref" id="txt_com_ref" value="<?php echo $ref?>">
												</div>
												
												<div class="col-lg-4 col-sm-3 col-6 ">
													<label for="txt_comapp_igv">Igv:</label>
													<input  class="form-control" type="number" name="txt_comapp_igv" id="txt_comapp_igv" value="18">
												</div> 
												
												<?php 
												
												}else{?>

												<?php if($doc_id=='1'){ 
													?>
													
												<div class="col-lg-4 col-sm-3 col-6">
													<label for="txt_com_nroped">Nro Pedido:</label>
													<input  class="form-control" type="text" name="txt_com_nroped" id="txt_com_nroped" readonly value="<?php echo $nroped?>">
												</div> 
												
												<div class="col-lg-4 col-sm-3 col-6  ">
													<label for="txt_com_nroordcom">Nro O/Compra:</label>
													<input  class="form-control" type="text" name="txt_com_nroordcom" id="txt_com_nroordcom" readonly value="<?php echo $nroord?>">
												</div> 
												
												<div class="col-lg-3 col-sm-3 col-6  ">
													<label for="txt_com_nroguia_e">Nro de Guia E.:</label>
													<input  class="form-control" type="text" name="txt_com_nroguia_e" id="txt_com_nroguia_e" readonly value="<?php echo $nroguia_e?>">
												</div>
												
												<div class="col-lg-3 col-sm-3 col-6  ">
													<label for="txt_com_nroguia_t">Nro de Guia T.:</label>
													<input  class="form-control" type="text" name="txt_com_nroguia_t" id="txt_com_nroguia_t" readonly value="<?php echo $nroguia_t?>">
												</div> 
												
													<?php 
													
													}else if($doc_id=='2'){
													?>

													<div class="col-lg-4 col-sm-3 col-6  ">
													<label for="txt_com_nroguia_e">Nro de Guia E.:</label>
													<input  class="form-control" type="text" name="txt_com_nroguia_e" id="txt_com_nroguia_e" readonly value="<?php echo $nroguia_e?>">
												</div>
												
												<div class="col-lg-4 col-sm-3 col-6  ">
													<label for="txt_com_nroguia_t">Nro de Guia T.:</label>
													<input  class="form-control" type="text" name="txt_com_nroguia_t" id="txt_com_nroguia_t" readonly value="<?php echo $nroguia_t?>">
												</div> 
												
												<div class="col-lg-4 col-sm-3 col-6 ">
													<label for="txt_com_ref">Referencia.:</label>
													<input  class="form-control" type="text" name="txt_com_ref" id="txt_com_ref" readonly value="<?php echo $ref?>">
												</div> 
													<?php
														
													}else if($doc_id=='3'){
													?>

													<div class="col-lg-4 col-sm-3 col-6 ">
													<label for="txt_com_ref">Referencia.:</label>
													<input  class="form-control" type="text" name="txt_com_ref" id="txt_com_ref" readonly value="<?php echo $ref?>">
													</div> 
													
													<?php 
														
													}else if($doc_id=='9'){
														?>

													
													
													<?php 
													}?>
												
											<!--	<div class="col-lg-4 col-sm-3 col-6 ">
													<label for="txt_com_fecguia">Fecha de Guia:</label>
													<input  class="form-control" type="text" name="txt_com_fecguia" id="txt_com_fecguia"  value="<?php echo $fecguia?>">
												</div> 
												-->
												<div class="col-lg-4 col-sm-3 col-6 div_tipcamcan">
													<label for="txt_com_tipcamcan">Cambio Canje:</label>
													<input  class="form-control" type="text" name="txt_com_tipcamcan" id="txt_com_tipcamcan"  value="<?php echo $tipcam_can?>">
												</div> 
												
												<div class="col-lg-2 col-sm-3 col-6 ">
													<label for="txt_comapp_igv">Igv:</label>
													<input  class="form-control" type="number" name="txt_comapp_igv" id="txt_comapp_igv" readonly value="<?php echo $com_igvval?>">
												</div> 
												
												
												
												<?php }?>
												
												
												
												
												
											</div> 
										</div>

									</div>
								</div>  
						</div>
						
						</div>
						
						
						
						  <?php if($_SESSION['usuariogrupo_id']=='6'){
						  }else if ($_SESSION['usuariogrupo_id']=='4'){}else{?>
						<div class=" div_pro card-body ">
								<div id="fieldset_producto" >								
										<div class="">
											<div class="row">

												<div class="col-lg-1 col-sm-3 col-6">
													<label for="txt_bus_pro_cod">Codigo:</label>
													<input name="txt_bus_pro_cod" type="text" autocomplete="off" id="txt_bus_pro_cod"  class="form-control" >	
												</div>
													
												<div class="col-lg-2 col-sm-3 col-6">
													<label for="txt_fil_pro_dat1">Busqueda:</label>
													<input name="txt_fil_pro_dat1" type="text" autocomplete="off" id="txt_fil_pro_dat1" class="form-control">
												</div>
							
											<div class="col-lg-2 col-sm-3 col-6">
												<label for="txt_fil_pro_dat2">-</label>
												<input name="txt_fil_pro_dat2" type="text" autocomplete="off" id="txt_fil_pro_dat2"  class="form-control">
											</div>
							
											<div class="col-lg-2 col-sm-3 col-6">
												<label for="txt_fil_pro_dat3">-</label>
												<input name="txt_fil_pro_dat3" type="text" autocomplete="off" id="txt_fil_pro_dat3"  class="form-control">
											</div>
							
											<div class="col-lg-2 col-sm-3 col-6">
												<label for="txt_fil_pro_dat4">-</label>
												<input name="txt_fil_pro_dat4" type="text" autocomplete="off" id="txt_fil_pro_dat4"  class="form-control">
											</div>
										
										
											<div style="display: inline-block; white-space: nowrap;padding-top:30px;" class="col-lg-2 col-sm-4 col-6">
											
											<div class="btn-group">

												<a title="Restablecer pedidos de compra" onClick="agregar_producto_lista();" id="btn_rest_car" class="btn btn-primary" href="javascript:void(0)"><i class="fas fa-search"></i> </a>
												<button type="button" class="btn btn-primary dropdown-toggle" data-toggle="dropdown">
														<span class="caret"></span>														
												</button>
												<ul class="dropdown-menu" role="menu">
													<li><a class="dropdown-item" onClick="agregar_producto('restablecer');" href="javascript:void(0)"> <i class="fas fa-filter"></i> Vaciar productos</a></li>
															<!--	<li><a onClick="producto_form('insertar')" href="javascript:void(0)"><i class="fa fa-plus"></i> Nuevo Producto</a></li> -->
												</ul>
											</div> 
											</div>
						
												</div> 
											</div>
								</div>						
						</div> 
						  <?php }?>	
						  
						  <div class="col-lg-12 col-md-12 col-12" style="height:5px;">	</div> 	
						  
								<div class="col-lg-12 col-md-12 col-12" style="padding:5px;">
									<div id="div_compra_detalle_tabla"></div>
								</div> 									 
																	 
						<input type="hidden"  id="txt_com_tipcam_uno" />
	
						</form> 
					
				<?php if($_POST['action']=="editar"){ ?>
				
				<div class="box-footer float-right ">			
				<button title="CERRAR VENTANA"  data-dismiss="modal" class="btn btn-danger"><i class="fas fa-times"></i></button>	
				<button class="btn btn-primary" id="save_form">Guardar</button>				
				</div>
				<?php }else { ?>
				<div class="box-footer float-right ">
				<button  data-dismiss="modal" class="btn btn-default cancel">Cancelar</button>
				<button class="btn btn-primary" id="save_form">Guardar</button>
				</div>
				<?php }
						  
				 ?>
				
				
			</div>
						
<script type="text/javascript">
									
			function agregar_producto_lista(codmar,dat1,dat2,dat3,dat4){
			
			
		
		if($("#txt_comapp_igv").val()==""){
			toastr["warning"]("Ingrese porcentaje de IGV");
			$("#txt_comapp_igv").focus();
		}else{
		
			$('#div_productomarca_form_dialog').modal();
			$('body').css('overflow-y','hidden');
			
			$.ajax({
				type: "POST",
				url: "../compra/seleccionarproducto.php",
				async:true,
				dataType: "html",                      
				data: ({
					codmar:codmar || $("#txt_bus_pro_cod").val(),
					dat1:dat1 || $("#txt_fil_pro_dat1").val(),
					dat2:dat2 || $("#txt_fil_pro_dat2").val(),
					dat3:dat3 || $("#txt_fil_pro_dat3").val(),
					dat4:dat4 || $("#txt_fil_pro_dat4").val(),
					punven_id: <?php echo $_SESSION['puntoventa_id']?>,
					vista:'compra_form'
				}),
				beforeSend: function(){
					var div = "<center> <br> <span class='spinner-border spinner-border-lg mr-2'></span> <span style='font-size:1.5rem;'>PROCESANDO PETICIÓN</span></center>";		
					$('.div_productomarca_form').html(div);
				},
				success: function(html){
					$('.div_productomarca_form').html(html);				
				}
			});
			}
			
		}
	
	$('#txt_com_fec').datepicker({
 				format: 'dd-mm-yyyy',
 				autoclose:true			
	});
	
		
	$('#txt_com_fec').on('changeDate', function(ev){
		
		verTipcambio($('#cmb_mone_id').val(),$('#txt_com_fec').val());

	});
								
						
function pago_compra_tabla_ver(com_id){	
	$.ajax({
		type: "POST",
		url: "../compra/compra_pago_tabla_ver.php",
		async:true,
		dataType: "html",                      
		data: ({
			com_id:	com_id,
			com_tot: <?php echo $tot; ?>	
		}),
		beforeSend: function() {
			$('#div_compra_pago_tabla').addClass("ui-state-disabled");
		},
		success: function(html){
			$('#div_compra_pago_tabla').html(html);
		},
		complete: function(){			
			$('#div_compra_pago_tabla').removeClass("ui-state-disabled");
		}
	});
}
						
function compra_detalle_tabla(com_id)
{
	$.ajax({
		type: "POST",
		url: "../compra/compra_detalle_tabla.php",
		async:true,
		dataType: "html",                      
		data: ({
			com_id:	 com_id,
			igv : $("#txt_comapp_igv").val()
		}),
		beforeSend: function() {
			$('#div_compra_detalle_tabla').addClass("ui-state-disabled");
		},
		success: function(html){
			$('#div_compra_detalle_tabla').html(html);
		},
		complete: function(){			
			$('#div_compra_detalle_tabla').removeClass("ui-state-disabled");
			
<?php if($_POST['action']=="editar"){}else{ ?>
			
			monto_compag();
			<?php }?>

		}
	});  
}

function monto_compag()
{
	var total= $('#txt_com_tot').val();
	$('#txt_compag_mon').val(total);
	
	if($('#chk_compag_aut').is(':checked'))
	{
	
		var dif = $('#hdd_compag_dif').val();
		$('#txt_compag_mon').val(dif);
		$(".div_pagos_tabla").show(100);	

	}




	/* if($('#chk_compag_aut').is(':checked'))
	{
		
	} */
}


	

function number_format(number, decimals, decPoint, thousandsSep){
	decimals = decimals || 0;
	number = parseFloat(number);
	if(!decPoint || !thousandsSep){
		decPoint = '.';
		thousandsSep = ',';
	}
	var roundedNumber = Math.round( Math.abs( number ) * ('1e' + decimals) ) + '';
	var numbersString = decimals ? roundedNumber.slice(0, decimals * -1) : roundedNumber;
	var decimalsString = decimals ? roundedNumber.slice(decimals * -1) : '';
	var formattedNumber = "";
	while(numbersString.length > 3){
		formattedNumber += thousandsSep + numbersString.slice(-3)
		numbersString = numbersString.slice(0,-3);
	}
	return (number < 0 ? '-' : '') + numbersString + formattedNumber + (decimalsString ? (decPoint + decimalsString) : '');
}

function cmb_doc_id(docid)
	{	
		$.ajax({
			type: "POST",
			url: "../documento/cmb_doc_id.php",
			async:true,
			dataType: "html",                      
			data: ({
				mod_id: '4',
				doc_id: docid 
			}),
			beforeSend: function() {
				$('#cmb_doc_id').html('<option value="">Cargando...</option>');
			},
			success: function(html){
				$('#cmb_doc_id').html(html);
			}
		});
	}

	
 function cmb_punven_id(punven_id){
	
	  	$.ajax({
			type: "POST",
			url: "../puntoventa/cmb_punven_id.php",
			async:true,
			dataType: "html",                      
			data: ({
				punven_id:punven_id
			}),
			beforeSend: function(){
				$('#cmb_punven_id').html('<option value="">Cargando...</option>');
			},
			success: function(html){		
				$('#cmb_punven_id').html(html);
				
			}
		});		
	} 
 
	
	function cmb_mone_id(moneid)
	{	
		$.ajax({
			type: "POST",
			url: "../moneda/cmb_mon_id.php",
			async:true,
			dataType: "html",                      
			data: ({
				mon_id: moneid
			}),
			beforeSend: function(){
				$('#cmb_mone_id').html('<option value="">Cargando...</option>');
			},
			success: function(html){
				$('#cmb_mone_id').html(html);
				$('#txt_mone_id').val($('#cmb_mone_id').val());
				
				verTipcambio($('#cmb_mone_id').val(),$('#txt_com_fec').val());
			}
		});
	}
	
	function verTipcambio(moneid,fec){
		$.ajax({
			type: "POST",
			url: "../tipocambio/tipocambio_reg.php",
			async:true,
			dataType: "json",                      
			data: ({
				action_tipocambio:'obtener_tipcam',
				mone_id: moneid,
				fec:fec
			}),
			beforeSend: function(){
			
			},
			success: function(data){
				
				if(moneid==''){
					$("#lbl_mone_val").html('');
					$("#txt_com_tipcam").val('');
				}else{
					$("#lbl_mone_val").html('S/ '+data.moncam_val);
					$("#txt_com_tipcam").val(data.moncam_val);
				}
				
				if(moneid==1){
					$("#lbl_bus_cat_precom").html('S/');
				}else if(moneid==2){
					$("#lbl_bus_cat_precom").html('US$');
				}else{
					$("#lbl_bus_cat_precom").html('');
				}
			}
		});
	}
	
function verTipcambio_uno(moneid){
		$.ajax({
			type: "POST",
			url: "../tipocambio/tipocambio_reg.php",
			async:true,
			dataType: "json",                      
			data: ({
				action_tipocambio:'obtener_tipcam',
				mone_id: moneid
			}),
			beforeSend: function(){
			
			},
			success: function(data){
				
				$("#txt_com_tipcam_uno").val(data.moncam_val);
				
			}
		});
	}
	
	
	function traer_marca(catid)
	{	
	$.ajax({
		type: "POST",
		url: "../marca/cmb_mar_id.php",
		async:false,
		dataType: "html",                      
		data: ({
			cat_id: catid
		}),
		beforeSend: function() {
			$('#cmb_bus_mar_id').html('<option value="">Cargando...</option>');
		},
		success: function(html){
			$('#cmb_bus_mar_id').html(html);
		}
	});
	}
	
	
	
	
	
function proveedor_form(act,idf){
	
		
			ban = true;
		if(act == 'editar'){
			 
			 if(idf == ''){
				 toastr["info"]('Debe seleccionar un proveedor.');
				 ban = false;
			 }else{
				 ban = true;
			 }
			 
		}else if(act == 'insertar'){
			ban = true;
		}
		
		if(ban == true){
			$('#div_proveedor_form_dialog').modal();
			$.ajax({
		type: "POST",
		url: "../proveedor/proveedor_form.php",
		async:true,
		dataType: "html",                      
		data: ({
			action: act,
			pro_id:	idf,
			vista:	'compra'
		}),
		beforeSend: function() {
			
			var div = "<center> <br> <span class='spinner-border spinner-border-lg mr-2'></span> <span style='font-size:1.5rem;'>PROCESANDO PETICIÓN</span></center>";	
			$('.div_proveedor_form').html(div); 
		},
		success: function(html){ 	
			$('.div_proveedor_form').html(html); 				
		},
		complete: function(){
				
				
		}
	});
	
	}
}

function proveedor_cargar_datos(idf){
		$.ajax({
			type: "POST",
			url: "../proveedor/proveedor_reg.php",
			async:false,
			dataType: "json",                      
			data: ({
				action: "obtener_datos",
				pro_id:	idf
			}),
			beforeSend: function() {						
			//$('#div_proveedor_form').html('Cargando....');
		},
		success: function(data){
			console.log(data);

			$('#hdd_com_pro_id').val(idf);	
			$('#txt_com_pro_nom').val(data.nombre);	
			$('#txt_com_pro_doc').val(data.documento);			
			$('#txt_com_pro_dir').val(data.direccion);
		}
	});		
	}
	
function limpiarCampos(){
	
	$("#txt_bus_pro_cod").val('');
	$("#txt_fil_pro_dat1").val('');
	$("#txt_fil_pro_dat2").val('');
	$("#txt_fil_pro_dat3").val('');
	$("#txt_fil_pro_dat4").val('');

	
}

/* 
function registrar_producto(){
	
	if($('#txt_bus_pro_codbar').val()==""){
		
			
			if($('#txt_bus_pro_nom_soles').val()=="")
			{
				$('#txt_bus_pro_nom_soles').focus();
				toastr["error"]('Ingrese un producto.');
				 
			} else {
				
			cosalter = $('#txt_bus_cat_precom').val() * $("#txt_com_tipcam_uno").val();
				
		$.ajax({
				type : "POST",
				url : "../producto/producto_reg.php",
				async : false,
				dataType : "json",
				data:({
					action_pro:'insertar',
					txt_pro_nom : $('#txt_bus_pro_nom_soles').val(),
					txt_pro_des : '',
					cmb_artest:'1',
					cmb_cat_id : '1',
					cmb_mar_id : '1',
					cmb_arttip_id:'4',
					hdd_usu_id : $('#hdd_usu_id').val(),
					hdd_pre_est:'1',
					txt_pre_stomin:'',
					txt_pre_stomax:'',
					hdd_pre_nom:'',
					cmb_uni_id : $('#cmb_bus_uni_id').val(),
					cmb_uni_id_alter:$('#cmb_bus_uni_id').val(),
					txt_pro_fac_alter :$('#txt_pro_fac').val(),
					txt_pro_precos :$('#txt_bus_cat_precom').val(),
					txt_pro_preven :'0',
					chk_pro_verven :'1',
					chk_pro_vercom : '1',
					cmb_pro_mon_id : '1',
					txt_pro_premin: '0',
					txt_pro_premay: '0',
					txt_pro_precos_alter:cosalter,
					txt_pro_preven_alter:'0',
					chk_pro_verven_alter:'1',
					chk_pro_vercom_alter:'1',
					cmb_pro_mon_id_alter:'2',
					txt_pro_premin_alter:'0',
					txt_pro_premay_alter:'0',
					vista:'compras'
				}),
				beforeSend: function(){
					
				},

				success: function(data){
										
					catid = data.catid;
					agregar_producto('agregar',catid);
				},
				complete: function(){
					
				}
			});	  	

	}
	
	}else{
		agregar_producto('agregar');
	}
	
} */

	
function agregar_producto(act,idf, cantidad,precom,mar_id, fecven,lote, preven, prevenf)
{
	//alert(fecven);
	
	if(!(idf>0))idf=$('#hdd_bus_cat_id').val();


	$.ajax({
		type: "POST",
		url: "../compra/agregar_producto.php",
		async:true,
		dataType: "json",                  
		data: ({
			action:	 act,
			cat_id:	 idf,
			codpri: $('#txt_bus_pro_cod').val(),
			cat_can: cantidad || $('#txt_bus_cat_can').val(),
			cat_precom: precom || $('#txt_bus_cat_precom').val(),
			tipo_precio: $('#cmb_com_tippre').val(),
			marca_id : mar_id || $('#cmb_bus_mar_id').val(),
			fecven : fecven,
			lote : lote,
			preven: preven, 
			prevenf : prevenf
		}),
		beforeSend: function() {

		},
		success: function(data){
			if(data.est==false)
			{
				toastr["success"](data.msj);
				
				if(data.dat.tipo=="cat_can")
				{
					if(idf>0)
					{	
						if(!(cantidad||precom)){
							$('#txt_bus_cat_can').focus();
						}else {
							limpiarCampos();
						}
					}
					else
					{
						limpiarCampos();
					}
				}
			}
		},
		complete: function(data)
		{
			var dat=JSON.parse(data.responseText);
			if(dat.est==true)
			{
				if(dat.dat.tipo=="agregado")
				{
					limpiarCampos();
					toastr["success"]('Agregado correctamente.');
				}	
				
				compra_detalle_tabla(<?php echo $com_id?>);
							
					//cmb_bus_uni_id();	
			}
		}
	});  
}

	
	
	
function agregar_producto_editar(act,comdetid,kardetid,cantidad,precom)
{

	$.ajax({
		type: "POST",
		url: "../compra/compra_reg.php",
		async:true,
		dataType: "json",                  
		data: ({
			action : act,
			kardetid : kardetid,
			comdetid : comdetid,
			comid: '<?php echo $com_id?>',
			cantidad: cantidad ,
			precom: precom 
		}),
		beforeSend: function() {

		},
		success: function(data){
			
			//alert(data.com_est);
			
			if(data.com_est == 1)
			{								
				toastr["success"](data.com_msj);
			
				compra_detalle_tabla(<?php echo $com_id?>);				
				pago_compra_tabla_ver(<?php echo $com_id?>);
			}
		},
		complete: function()
		{
			
		}
	});  
}

	
	
	
function pago_compra_tabla(act)
{	
	$.ajax({
		type: "POST",
		url: "../compra/pago_compra_tabla.php",
		async:false,
		dataType: "html",                  
		data: ({
			action:	 act,
			com_tot: $('#txt_com_tot').val()
		}),
		beforeSend: function() {
			$('#div_compra_pago_car_tabla').addClass("ui-state-disabled");
		},
		success: function(html){
			$('#div_compra_pago_car_tabla').html(html);
		},
		complete: function(){			
			$('#div_compra_pago_car_tabla').removeClass("ui-state-disabled");

			monto_compag();
		}
	});
}


function pago_compra_agregar(act,idf,tabla='1')
{	

//alert($('#txt_nroope').val());

	$.ajax({
		type: "POST",
		url: "../compra/pago_compra_agregar.php",
		async:false,
		dataType: "json",                      
		data: ({
			action:	 act,
			item_id:	idf,
			compag_mon: $('#txt_compag_mon').val(), // monto de la compra
			compag_for: $('#cmb_forpag_id').val(), // forma 1 contado 2 credito
			compag_mod: $('#cmb_modpag_id').val(), // 
			compag_numdia: $('#txt_compag_numdia').val(),
			compag_fecven: $('#txt_compag_fecven').val(),
			compag_monid: $('#txt_mone_id').val(),
			com_tot: $('#txt_com_tot').val(),
			compag_tot: $('#hdd_compag_tot').val(),		
			compag_nroope: $('#txt_nroope').val()		
		}),
		beforeSend: function() {
			
		},
		success: function(data){
			if(data.est==false)
			{
			
				toastr["success"](data.msj);

				if(data.dat.tipo=="compag_mon")
				{
					$('#txt_compag_mon').val(data.dat.mon);
					$('#txt_compag_mon').focus();
				}
				if(data.dat.tipo=="compag_mod")
				{
					$('#cmb_modpag_id').focus();
				}
				if(data.dat.tipo=="compag_caj")
				{
					$('#cmb_caj_id').focus();
				}
				if(data.dat.tipo=="compag_numdia")
				{
					$('#txt_compag_numdia').focus();
				}
				if(data.dat.tipo=="compag_nroope")
				{
					$('#txt_nroope').focus();
				}
			}

			if(data.est==true)
			{
				if(data.dat.tipo=="agregado")
				{
					$('#txt_compag_mon').focus();
				}
			}
		},
		complete: function(){
			if(tabla==1)pago_compra_tabla();
		}
	});
}
	

function pago_compra_agregar_editar(act,comid)
{	
	$.ajax({
		type: "POST",
		url: "../compra/compra_reg.php",
		async:false,
		dataType: "json",                      
		data: ({
			action:	 'registrar_formapago',
			comid:	comid,
			compag_mon: $('#txt_compag_mon').val(), 
			compag_for: $('#cmb_forpag_id').val(), 
			compag_mod: $('#cmb_modpag_id').val(), 
			compag_numdia: $('#txt_compag_numdia').val(),
			compag_fecven: $('#txt_compag_fecven').val(),
			com_tot: $('#txt_com_tot').val(),
			compag_tot: $('#hdd_compag_tot').val(),	
			cmb_emp_id: $('#cmb_emp_id').val(),
			txt_mone_id: $('#txt_mone_id').val(),
			compag_numope: $('#txt_nroope').val()		
		}),
		beforeSend: function() {
			
		},
		success: function(data){
			
			if(data.est==false)
			{
			
				toastr["success"](data.msj);

				if(data.tipo=="compag_mon")
				{
					$('#txt_compag_mon').val(data.mon);
					$('#txt_compag_mon').focus();
				}
				if(data.tipo=="compag_mod")
				{
					$('#cmb_modpag_id').focus();
				}
				if(data.tipo=="compag_caj")
				{
					$('#cmb_caj_id').focus();
				}
				if(data.tipo=="compag_numdia")
				{
					$('#txt_compag_numdia').focus();
				}
			}

			if(data.est==true)
			{
				if(data.tipo=="agregado")
				{					
					pago_compra_tabla_ver(<?php echo $com_id?>);
					$('#txt_compag_mon').focus();
				}
			}

		},
		complete: function(){
			
		}
	});
}
		
function eliminar_formpago(forpagid){
	
	$.ajax({
		type: "POST",
		url: "../compra/compra_reg.php",
		async:false,
		dataType: "html",                  
		data: ({
			action:	 'eliminar_formpago',
			forpagid: forpagid
		}),
		beforeSend: function() {
			
		},
		success: function(html){
			
		},
		complete: function(){			
	
			
pago_compra_tabla_ver(<?php echo $com_id?>);
		}
	});
	
}
	
function compag_aut()
{
	
	if($('#chk_compag_aut').is(':checked'))//varios
	{
		
		$(".div_pagos_tabla").show(100);
		$("#div_pago_agregar").show(100);
		pago_compra_tabla('actualizar');
		$("#hdd_com_pag_numite").attr('disabled', false);
		$("#hdd_compag_tot").attr('disabled', false);
		$("#txt_compag_mon").attr('readonly',false);
		$("#hdd_compag_val").val('1');
	}
	else
	{ 
		$("#div_pago_agregar").hide(100);
		pago_compra_agregar('restablecer');
		$('#div_compra_pago_car_tabla').html('');
		$("#hdd_com_pag_numite").attr('disabled', 'disabled');
		$("#hdd_compag_tot").attr('disabled', 'disabled');
		$("#txt_compag_mon").attr('readonly',true);
		$("#hdd_compag_val").val('');
	}
	$("#txt_compag_mon").focus();
}

function forpag_id()
{   var tipo = $("#cmb_forpag_id").val();
	//$('#cmb_modpag_id').val('');
//	$('#cmb_caj_id').val('');
	$('#txt_compag_numdia').val('');
	$('#txt_compag_fecven').val('');
	
	if(tipo == 1){
		$('#cmb_modpag_id').val('1');		
		$("#div_modo").show(100);
		$("#div_caja").show(100);
		$("#div_dia").hide(100);
		//$(".div_chkcompag").hide(100);	
		$("#div_fecven").hide(100);	
		$("#txt_nroope").val('');
		
		//$(".div_pagos_tabla").hide(100);
		//$("#txt_compag_mon").attr('readonly',true);
		
	}
	if(tipo == 2 || tipo ==3){		
		$("#div_modo").hide(100);
		$("#div_caja").hide(100);
		$("#div_dia").show(100);
		$("#div_fecven").show(100);	
		//$(".div_chkcompag").show(100);
		//$(".div_pagos_tabla").hide(100);
		$("#div_nroopecom").hide(100);	
		//$(".div_pagos_tabla").show(100);	
		//$(".div_pagos_tabla").hide(100);	
		$("#txt_nroope").val('');
	}
	
//	pago_compra_agregar('restablecer');
    
}
	

function txt_compag_fecven(){	
	$.ajax({
		type: "POST",
		url: "../compra/ver_fecven.php",
		async:false,
		dataType: "json",                      
		data: ({
			com_fec:$('#txt_com_fec').val(),
			compag_numdia: 	$('#txt_compag_numdia').val()
		}),
		beforeSend: function() {
			//$('#txt_ven_numdoc').val('Cargando...');			
		},
		success: function(data){
			$('#txt_compag_fecven').val(data.fecha);
		}
	});
}

	

function validar_campos(modid){
	
	if(modid==""){

		$("#div_banori").hide(100);
		$("#div_cuenori").hide(100);
		//$("#div_bandes").hide(100);
		//$("#div_cuendes").hide(100);
		$("#div_nroopecom").hide(100);
		$("#div_cuentaprov").hide(100);
		$("#div_feccom").hide(100);
		$("#div_fecemi").hide(100);
		$("#div_cob").hide(100);
		$("#div_importes").hide(100);
		$("#div_caj").hide(100);

	}else if(modid==1){

		$("#lbl_egr_feccom").text('Fecha Pago:');
		$("#div_feccom").show(100);
		$("#div_cob").show(100);

		//$("#div_bandes").hide(100);
		$("#div_cuentaprov").hide(100);
		$("#div_nroopecom").hide(100);

		$(".lbl_egre_cob").text('Cobrador:');
		$("#div_banori").hide(100);
		$("#div_cuenori").hide(100);
		//$("#div_bandes").hide(100);
		//$("#div_cuendes").hide(100);
		$("#div_nroopecom").hide(100);
		$("#div_cuentaprov").hide(100);
		$("#div_fecemi").hide(100);
		$("#div_importes").show(100);
		$("#div_caj").show(100);
		//cmb_caja_id('1',$("#txt_punven_id").val(),$("#txt_mone_id").val());

	}else if(modid==2){
		$("#lbl_egr_feccom").text('Fecha Deposito:');
		$("#lbl_nrocuent_prov").text('Nro Cuenta Cliente:');
		$("#lbl_egr_nroopecom").text('Nro Operacion:');
		$("#lbl_gas").text('Gasto Financiero:');
		
		$("#lbl_ban_id_des").text('Banco Origen:');
		
		//$("#div_bandes").show(100);
		$("#div_cuentaprov").show(100);
		$("#div_feccom").show(100);
		$("#div_nroopecom").show(100);

		$("#div_cob").hide(100);
		$("#div_banori").hide(100);
		$("#div_cuenori").hide(100);
		//$("#div_cuendes").hide(100);
		$("#div_fecemi").hide(100);
		$("#div_importes").show(100);
		$("#div_caj").show(100);
		//cmb_caja_id2($('#txt_emp_id').val(),$("#txt_mone_id").val(),'1');
	}else if(modid==3){
		
		$("#div_banori").show(100);
		$("#div_cuenori").show(100);
		//$("#div_bandes").show(100);
		//$("#div_cuendes").show(100);
		$("#div_nroopecom").show(100);
		$("#div_feccom").show(100);
		$("#lbl_ban_id_ori").text('Banco Origen:');
		$("#lbl_egr_cuenori").text('Cuenta Origen:');
		$("#lbl_ban_id_des").text('Banco Destino:');
		$("#lbl_egr_feccom").text('Fecha Transferencia:');
		$("#lbl_egr_nroopecom").text('Nro Operacion:');
		$("#lbl_egr_cuendes").text('Cuenta Destino:');
		$("#div_cuentaprov").hide(100);
		$("#div_fecemi").hide(100);
		$("#div_cob").hide(100);
		$("#div_importes").show(100);
		$("#div_caj").show(100);
	//	cmb_caja_id2($('#txt_emp_id').val(),$("#txt_mone_id").val(),'1');

	}else if(modid==4){
		
		$("#div_banori").hide(100);
		$("#div_cuenori").hide(100);
		//$("#div_bandes").hide(100);
		//$("#div_cuendes").hide(100);
		$("#div_nroopecom").hide(100);
		$("#div_feccom").hide(100);
		$("#div_cuentaprov").hide(100);
		$("#div_cob").hide(100);

		$("#div_banori").show(100);
		$("#div_cuenori").show(100);
		$("#div_fecemi").show(100);
		$("#div_feccom").show(100);
		$("#div_nroopecom").show(100);
		$("#div_importes").show(100);
		$("#lbl_ban_id_ori").text('Banco Cargo:');
		$("#lbl_egr_cuenori").text('Cuenta Cargo:');

		$("#lbl_egr_feccom").text('Fecha Pago:');
		$("#lbl_egr_fecemi").text('Fecha Emision:');
		$("#lbl_egr_nroopecom").text('Nro Cheque:');
		$("#div_caj").show(100);
		//cmb_caja_id('',$("#txt_punven_id").val(),$("#txt_mone_id").val());

	}
	else if(modid==5){
		$("#lbl_egr_feccom").text('Fecha Deposito:');
		$("#lbl_nrocuent_prov").text('Nro Cuenta Cliente:');
		$("#lbl_egr_nroopecom").text('Nro Operacion:');
		$("#lbl_gas").text('Gasto Financiero:');
		
		$("#lbl_ban_id_des").text('Banco Origen:');
		
		//$("#div_bandes").show(100);
		$("#div_cuentaprov").show(100);
		$("#div_feccom").show(100);
		$("#div_nroopecom").show(100);

		$("#div_cob").hide(100);
		$("#div_banori").hide(100);
		$("#div_cuenori").hide(100);
		//$("#div_cuendes").hide(100);
		$("#div_fecemi").hide(100);
		$("#div_importes").show(100);
		$("#div_caj").show(100);
	//	cmb_caja_id2($('#txt_emp_id').val(),$("#txt_mone_id").val(),'1');
	}
}


function buscar_producto(nropro){
$.ajax({
		type: "POST",
		url: "../producto/buscar_producto_cod.php",
		async:false,
		dataType: "json",                      
		data: ({
			nropro : nropro
		}),
		beforeSend: function() {
					
		},
		success: function(data){
			console.log(data);
		}
	});

}



<?php if($_POST['action']=="editar"){
	

if($_POST['vista']=="cuent_pagar"){
	?>
		$('#tabproveedor .nav-tabs a:last').tab('show'); 
	<?php 
}
?>
/* $("#txt_com_numdoc").addClass("ui-state-active"); */
/* $("#txt_com_numdoc").addClass("text-blue"); */


$('#chk_modtot').change(function(){
	if($('#chk_modtot').is(':checked'))
	{
		$("#hdd_val").val('1');
	}else{
		$("#hdd_val").val('');
	}

});
 


forpag_id();
$('#chk_compag_aut').prop('checked','false');
$("#div_pago_agregar").show(100);
$("#hdd_com_pag_numite").attr('disabled', false);
$("#hdd_compag_tot").attr('disabled', false);

$('#chk_compag_aut').prop('disabled',true);
		
$("#txt_compag_mon").attr('readonly',false);


$("#txt_com_pro_dir").attr('readonly',true);
$("#txt_com_pro_nom").attr('readonly',true);
$("#txt_com_pro_doc").attr('readonly',true);		
	compra_detalle_tabla(<?php echo $com_id?>);
	pago_compra_tabla_ver(<?php echo $com_id?>);
	//agregar_producto('restablecer');
	proveedor_cargar_datos(<?php echo $pro_id?>);
	cmb_doc_id(<?php echo $doc_id?>);
	cmb_mone_id(<?php echo $mon_id?>);
	
	 <?php if($_SESSION['usuariogrupo_id']=='6'){
	?> 
	
	$("#cmb_punven_id").attr('disabled',true);
	$("#cmb_per_mes").attr('disabled',true);
	$("#cmb_doc_id").attr('disabled',true);
	$("#txt_com_numdoc").attr('disabled',true);
	$("#cmb_per_anio").attr('disabled',true);
	$("#cmb_mone_id").attr('disabled',true);
	$("#txt_com_fec").attr('disabled',true);
	
	$('#tab_2').hide(); 
	<?php 	 
	 }else{?>
	$('#tabproveedor .nav-tabs a:last').tab('show'); 
	 <?php }
	 
	
	 
	 }else{ 
	 
	 
	 
	 	 if($_POST['vista']=="ordencompra_form")
	{
		?>
		proveedor_cargar_datos(<?php echo $pro_id?>);
		<?php 
	}else{
		?>
		agregar_producto('restablecer');		
		<?php 
	}
	 ?>
	 
	 

$("#txt_compag_mon").attr('readonly',true);
	verTipcambio_uno('2');
			//agregar_producto('restablecer');
			//proveedor_cargar_datos(<?php echo $pro_id?>);
			cmb_doc_id(<?php echo $doc_id?>);
			
			cmb_mone_id(<?php echo $mon_id?>);
			compra_detalle_tabla(<?php echo $com_id?>);
			
		<?php } ?>	
		
		
		
		
			//AUTOCOMPLETAR EN PROVEEDORES
			
			$( "#txt_com_pro_nom" ).autocomplete({
			minLength: 1,
			source: "../proveedor/proveedor_complete_nom.php",
			select: function(event, ui){	 
				$("#hdd_com_pro_id").val(ui.item.id);							
				$("#txt_com_pro_doc").val(ui.item.documento);
				$("#txt_com_pro_dir").val(ui.item.direccion); 
			//	verificar_duplicidad_compra()
				$("#hdd_com_pro_id").change();
			}
			});
			
			$( "#txt_com_pro_doc" ).autocomplete({
			minLength: 1,
			source: "../proveedor/proveedor_complete_doc.php",
			select: function(event, ui){	
			$("#hdd_com_pro_id").val(ui.item.id);							
			$("#txt_com_pro_nom").val(ui.item.nombre);
			$("#txt_com_pro_dir").val(ui.item.direccion);
			$("#hdd_com_pro_id").change();
			//	verificar_duplicidad_compra()		
			}
			});
			
	$('#txt_com_numdoc').change(function(){
		$(this).val($(this).val().toUpperCase());
	});

			
		$("#cmb_mone_id").change(function(){
			
			verTipcambio($('#cmb_mone_id').val(),$('#txt_com_fec').val());
			
			$('#txt_mone_id').val($('#cmb_mone_id').val());
			
			if($("#cmb_mone_id").val()==1){				
		
				$(".div_tipcamcan").hide(100);
				$("#txt_com_tipcamcan").val('1');
				
				limpiarCampos();
			}else if($("#cmb_mone_id").val()==2){
				
				$(".div_tipcamcan").show(100);
				$("#txt_com_tipcamcan").val('');
				$("#txt_com_tipcamcan").focus();
					
				limpiarCampos();
			}	
		});
		
		
		
		$("#txt_bus_pro_cod").keydown(function(e){
			if (e.which == 13){
			
			agregar_producto_lista('','','','');
				return false;
			}
		});
		
	
		
		
		
	$('#txt_bus_pro_cod').change(function()
	{
		$(this).val($(this).val().toUpperCase());
	});
	

	
		
$('#cmb_doc_id').change(function()
{
	if($('#cmb_doc_id').val()=='1'){
		$('.div_nroped').css('display','block');
		$('.div_nrocom').css('display','block');
		$('.div_ge').css('display','block');
		$('.div_gt').css('display','block');
		$('.div_pro').css('display','block');
		$('.div_ref').css('display','none');
	}else if($('#cmb_doc_id').val()=='2'){
		$('.div_nroped').css('display','none');
		$('.div_nrocom').css('display','none');
		$('.div_ge').css('display','block');
		$('.div_gt').css('display','block');
		$('.div_pro').css('display','block');
		$('.div_ref').css('display','block');
	}else if($('#cmb_doc_id').val()=='3'){
		$('.div_nroped').css('display','none');
		$('.div_nrocom').css('display','none');
		$('.div_ge').css('display','none');
		$('.div_gt').css('display','none');
		$('.div_pro').css('display','none');
		$('.div_ref').css('display','block');
	}else if($('#cmb_doc_id').val()=='9'){
		$('.div_nroped').css('display','none');
		$('.div_nrocom').css('display','none');
		$('.div_ge').css('display','none');
		$('.div_gt').css('display','none');
		$('.div_pro').css('display','block');
		$('.div_ref').css('display','none');
	}
	

	
});
		
		$("#txt_com_pro_doc").focus();

		$("#cmb_doc_id").keydown(function(e){
			if (e.which == 13){$("#txt_com_numdoc").focus();return false;}
		});
		$("#txt_com_numdoc").keydown(function(e){
			if (e.which == 13){$("#cmb_punven_id").focus();return false;}
		});
		
		$("#txt_com_pro_doc").keydown(function(e){
			if (e.which == 13){$("#txt_com_pro_nom").focus();return false;}
		});

		$("#txt_com_pro_nom").keydown(function(e){
			if (e.which == 13){$("#cmb_doc_id").focus();return false;}
		});

		$("#cmb_punven_id").keydown(function(e){
			if (e.which == 13){$("#txt_bus_pro_codbar").focus();return false;}
		});
		
		


	
		$( "#txt_fil_pro_dat1" ).keydown(function(e){
			if(e.which==32)
			{
				$( "#txt_fil_pro_dat2" ).focus();
				//producto_tabla();
				//e.preventDefault();
			}
		});

		$( "#txt_fil_pro_dat2" ).keydown(function(e){
			if(e.which==32)
			{
				$( "#txt_fil_pro_dat3" ).focus();
				//producto_tabla();
				//e.preventDefault();
			}
		});

		$( "#txt_fil_pro_dat3" ).keydown(function(e){
			if(e.which==32)
			{
				$( "#txt_fil_pro_dat4" ).focus();
				//producto_tabla();
				//e.preventDefault();
			}
		});
		
		$( "#txt_fil_pro_dat1" ).keydown(function(e){
			if(e.which==13)
			{
				
				agregar_producto_lista();
				return false;
			
			}
		});
		
			$( "#txt_fil_pro_dat2" ).keydown(function(e){
			if(e.which==13)
			{
				
				agregar_producto_lista();
				return false;
			}
		});
		
		
			$( "#txt_fil_pro_dat3" ).keydown(function(e){
			if(e.which==13)
			{
				
				agregar_producto_lista();
				return false;
			
			}
		});
		
		$( "#txt_fil_pro_dat4" ).keydown(function(e){
			if(e.which==13)
			{
			agregar_producto_lista();
				return false;
			
			}
		});
		
		
		
		$("#txt_fil_pro_dat4").keydown(function(e){
			if(e.which==8)
			{
				if($("#txt_fil_pro_dat4").val()==""){
					$("#txt_fil_pro_dat3").focus();
				}	
					
			}
		});
		
		
		$("#txt_fil_pro_dat3").keydown(function(e){
			if(e.which==8)
			{
				if($("#txt_fil_pro_dat3").val()==""){
					$("#txt_fil_pro_dat2").focus();
				}	
					
			}
		});
		
		
		$("#txt_fil_pro_dat2").keydown(function(e){
			if(e.which==8)
			{
				if($("#txt_fil_pro_dat2").val()==""){
					$("#txt_fil_pro_dat1").focus();
				}	
					
			}
		});
		
		
		cmb_punven_id('<?php echo $punven_id?>');
			
			
			//FORMA DE PAGO
			
		//$("#txt_compag_mon").attr('readonly',true);
		

		//cmb_caj_id(<?php echo $caj_id?>);

		$("#chk_compag_aut").change(function(){
			compag_aut();
		});
		
		

		$("#cmb_forpag_id").change(function()
		{		
			forpag_id();		
		});

		$("#cmb_modpag_id").change(function()
		{
			validar_campos($("#cmb_modpag_id").val());
		});

		$("#txt_compag_mon").keydown(function(e){
			if (e.which == 13){$("#cmb_forpag_id").focus();return false;}
		});
		
		$("#txt_com_tipcamcan").keydown(function(e){
			if (e.which == 13){
				return false;
				}
		});

		$("#cmb_forpag_id").keydown(function(e){
			if (e.which == 13){
				if($("#cmb_forpag_id").val()==1)$("#cmb_modpag_id").focus();
				if($("#cmb_forpag_id").val()==2)$("#txt_compag_numdia").focus();
				return false;
			}
		});

		$("#cmb_modpag_id").keydown(function(e){
			if (e.which == 13){
				if($("#cmb_modpag_id").val()==1)$("#cmb_caj_id").focus();
				return false;
			}
		});

		$("#cmb_bus_mar_id").change(function(e){
			
			$("#txt_bus_cat_precom").focus();

		});

		$('#txt_compag_numdia').change( function()
		{
			if($('#txt_compag_numdia').val()!="")
			{
				txt_compag_fecven();
			}
			else
			{
				$('#txt_compag_fecven').val('');
			}
		});

		$("#txt_compag_numdia").keydown(function(e){
			if (e.which == 13){txt_compag_fecven();$("#btn_compag_agregar").focus();return false;}
		});
		
		$("#txt_com_nroped").keydown(function(e){
			if (e.which == 13){
				$("#txt_com_nroordcom").focus();
				return false;
				}
		});

		$("#txt_com_nroordcom").keydown(function(e){
			if (e.which == 13){
				$("#txt_com_nroguia").focus();
				return false;
				}
		});
		
		$("#txt_com_nroguia").keydown(function(e){
			if (e.which == 13){
				$("#txt_com_fecguia").focus();
				return false;
				}
		});
		
		$("#txt_com_fecguia").keydown(function(e){
			if (e.which == 13){
				//$("#txt_com_fecguia").focus();
				return false;
				}
		});
		
		$( "#txt_bus_pro_nom_soles" ).focus();	
		$( "#txt_bus_pro_nom_dolares" ).focus();	
			
				

				
				
	
	$('#save_form').on('click', function() {  

	var ok = true;
	
	
<?php if($_POST['action']=="insertar"){ 
?>
	if($('#chk_compag_aut').is(':checked'))
	{
		
	$('.div_nroped').css('display','none');
	$('.div_nrocom').css('display','none');
	$('.div_ge').css('display','none');
	$('.div_gt').css('display','none');
	$('.div_ref').css('display','none');
	$('.div_pro').css('display','none');
	

		var registros = $("#hdd_com_pag_numite").val();
		var pagos = $("#hdd_compag_tot").val();
		var totaltotal = $("#txt_com_tot").val();
		

		if(registros == 0){

			msj = "Agregue registro de pagos...";
			ok = false;
			$('#tabproveedor .nav-tabs a:last').tab('show');
			toastr["success"](msj);
		}

		if(! (pagos==totaltotal)){

			msj = "El Total no es igual al monto de la compra";
			ok = false;
			$('#tabproveedor .nav-tabs a:last').tab('show');
			toastr["success"](msj); 
		}		
		
	}

	
		if($("#hdd_com_pro_id").val()>0){
			
		}else{
			msj = "Debe seleccionar un proveedor";
			ok = false;
			toastr["success"](msj);
		}
		
	
	
	
<?php }
?>


<?php if($_POST['action']=="editar"){ 
?>
	var numitems = $("#numrow_items").val();
	ok ==false;
	var vali = $("#hdd_val").val();
	
if(numitems>0){
	
	if(vali==1){
	ok = true;
	}else{
	ok = false;
	$('.modal').modal('hide');
	$('.in').removeClass('modal-backdrop');		
	}
	
	}else{


	var vali = $("#hdd_val").val();
	var tot = $("#txt_com_tot_hdd").val();
	var totvis = $("#txt_com_tot_vis_hdd").val();

	
	if(totvis>0){
		
		if(totvis>tot){
		toastr["info"]('Los totales de compra deben ser igualados');
		ok = false;
		}else if(totvis<tot){
		toastr["info"]('Los totales de compra deben ser igualados');
		ok = false;
		}else if(totvis==tot){
		ok = true;
		}	
	}else {
		
		
		if(totvis>tot){
		
			if(vali==1){
				ok = true;
			}else if(vali!=1){
				toastr["info"]('Los totales de compra deben ser igualados');
				ok = false;
			}
			
		}
		else if(totvis<tot){
			
			if(vali==1){
				ok = true;
			}else if(vali!=1){
				toastr["info"]('Los totales de compra deben ser igualados');
				ok = false;
			}
			
		}
		else if(totvis==tot){		
			ok = true;		
		}
		
	}
	


}

<?php } ?>

	if (ok ==true){
		$('#txt_comapp_igv').removeAttr("disabled");
		$("#for_com").submit();
	}	

});	
			
			
			
	$('#for_com').bootstrapValidator({
	     
	      framework: 'bootstrap',
	      message: 'Valor no valido',
	     /* feedbackIcons: {
	      	valid: 'glyphicon glyphicon-ok',
	      	invalid: 'glyphicon glyphicon-remove',
	      	validating: 'glyphicon glyphicon-refresh'
	      },*/
	      fields: {	      	
	      	txt_com_fec: {
	      		group: '.col-lg-4',
	      		validators: { 
	      			date: {
	      				format: 'DD-MM-YYYY',
	      				message: 'Fecha no Valida'
	      			}
	      		}
	      	},
	      	cmb_doc_id: {
	      		group: '.col-lg-4',
	      		validators: {
	      			notEmpty: {
	      				message: 'Requerido *'
	      			}
	      		}
	      	},
	      	txt_com_numdoc: {
	      		group: '.col-lg-4',
	      		validators: {
	      			notEmpty: {
	      				message: 'Requerido *'
	      			}
	      		}
	      	},
			cmb_punven_id: {
	      		group: '.col-lg-4',
	      		validators: {
	      			notEmpty: {
	      				message: 'Requerido *'
	      			}
	      		}
	      	},
			cmb_mone_id: {
	      		group: '.col-lg-4',
	      		validators: {
	      			notEmpty: {
	      				message: 'Requerido *'
	      			}
	      		}
	      	}
			/*, hdd_com_numite: {
	      		excluded: false,    
	      		trigger: 'change keyup',
	      		group: '.col-lg-2',
	      		validators: {
	      			notEmpty: {
	      				message: 'Agregue producto a detalle de compra. *'
	      			}
	      		}
	      	}  */
	      }
	  }).on('success.form.bv', function(e) 
	  {
	  	
	  	$.ajax({
	  		type: "POST",
	  		url: "../compra/compra_reg.php",
	  		async:true,
	  		dataType: "json",
	  		data: $("#for_com").serialize(),
	  		beforeSend: function(){					 
	  			
				var div = "<center> <br> <span class='spinner-border spinner-border-lg mr-2'></span> <span style='font-size:1.5rem;'>PROCESANDO PETICIÓN</span></center>";	
				$('.div_compra_form').html(div);
				
	  		},
	  		success: function(data){
				
				if(data.com_est==2){
					toastr["error"](data.com_msj);
				}else{
					
					toastr["success"](data.com_msj);
					
				//$('#div_compra_form_dialog').modal('hide');
				
				
				}
				
					
			
	  		},
	  		complete: function(){  	
			
	  		
	<?php
	if($_POST['vista']=="cuent_pagar"){
	?>
		cuentapagar_tabla_prov_fac($("#hdd_com_pro_id").val(),'<?php echo $emp_id; ?>','');
	<?php 
	}else if($_POST['vista']=="ordencompra_form")
					{
	?>
	$('#div_compra_form_dialog').modal('hide');
				ordencompra_tabla();
	<?php 
		}else{
			?>
		compra_tabla2();
	<?php
	}
	?>

				}
	  	});	 
	  });
			
			
			
			
			
			
			
			</script>